<?php

#получаем данные пользователя и уровень прав (+ кеширование)

function get_user($user_id = 0) {
    if ($user_id == 0) {
        #бот
        $ank2['id'] = 0;
        $ank2['nick'] = 'Система';
        $ank2['level'] = 999;
        $ank2['sex'] = 1;
        $ank2['country'] = "Россия";
        $ank2['ncolor'] = '#FF0000';
        $ank2['ncolor2'] = '#FF0000';
        $ank2['group_name'] = 'Системный робот';
        $ank2['ank_about_me'] = 'Создан для уведомлений';

        return $ank2;
    } else {
        static $users; #переменная не удаляется после вызова функции
        $user_id = intval($user_id);
        $users[0] = false;
        if (!isset($users[$user_id])) {
            if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$user_id'"), 0) == 1) {
                $users[$user_id] = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$user_id' LIMIT 1"));
                $tmp_us = mysql_fetch_assoc(mysql_query("SELECT `level`,`name` AS `group_name` FROM `user_group` WHERE `id` = '" . $users[$user_id]['group_access'] . "' LIMIT 1"));

                if ($tmp_us['group_name'] == null) {
                    $users[$user_id]['level'] = 0;
                    $users[$user_id]['group_name'] = 'Пользователь';
                } else {
                    $users[$user_id]['level'] = $tmp_us['level'];
                    $users[$user_id]['group_name'] = $tmp_us['group_name'];
                }
            } else {
                $users[$user_id] = false;
            }
        }
        return $users[$user_id];
    }
}
